%define         pypiname          pyresample

Name:           python-pyresample
Version:        1.16.0
Release:        %mkrel 1

Summary:        A Python package for geospatial resampling
License:        LGPLv3
Group:          Development/Python

Url:            https://pypi.python.org/pypi/pyresample
Source0:        https://pypi.io/packages/source/p/pyresample/%{pypiname}-%{version}.tar.gz


%description
Pyresample is a Python package for manipulation and analysis
of planar geometric objects. It is based on the widely deployed GEOS
(the engine of PostGIS) and JTS (from which GEOS is ported)
libraries. Pyresample is not concerned with data formats or coordinate
systems, but can be readily integrated with packages that are.



%package -n python3-pyresample
Summary:        Python3 implementation of Pyresample
Group:          Development/Python
BuildRequires:  pkgconfig(python3)
BuildRequires:  python3-setuptools
BuildRequires:  python3-numpy-devel

%description -n python3-pyresample
%{summary}.




%prep
%setup -q -n %{pypiname}-%{version}

# Remove bundled egg-info
%__rm -rf %{pypiname}.egg-info

%build
%py3_build

%install
%py3_install

%files -n python3-pyresample
%doc LICENSE.txt README
%{python3_sitearch}/pyresample
%{python3_sitearch}/%{pypiname}-%{version}-py?.?.egg-info



%changelog
* Sat Jul 11 2020 eatdirt <eatdirt> 1.16.0-1.mga8
+ Revision: 1605246
- Upgrade to version 1.16.0

* Wed Mar 18 2020 eatdirt <eatdirt> 1.14.0-1.mga8
+ Revision: 1557797
- Upgrade to version 1.14.0

* Sun Feb 16 2020 umeabot <umeabot> 1.12.0-3.mga8
+ Revision: 1535853
- Mageia 8 Mass Rebuild

* Sun Oct 13 2019 tv <tv> 1.12.0-2.mga8
+ Revision: 1452750
- rebuild for python-3.8
- drop python2 subpkg

* Wed Apr 17 2019 eatdirt <eatdirt> 1.12.0-1.mga7
+ Revision: 1392058
- Upgrade to version 1.12.0

* Tue Jan 08 2019 shlomif <shlomif> 1.10.3-1.mga7
+ Revision: 1352217
- Rebuild for python3 3.7

* Sun Sep 23 2018 umeabot <umeabot> 1.10.1-3.mga7
+ Revision: 1300577
- Mageia 7 Mass Rebuild

* Wed Aug 08 2018 eatdirt <eatdirt> 1.10.1-2.mga7
+ Revision: 1250045
- Fix missing Obsoletes

* Tue Aug 07 2018 eatdirt <eatdirt> 1.10.1-1.mga7
+ Revision: 1248723
- Upgrade to version 1.10.1

* Sun May 13 2018 eatdirt <eatdirt> 1.9.1-1.mga7
+ Revision: 1229123
- Upgrade to version 1.9.1

* Fri Oct 27 2017 eatdirt <eatdirt> 1.7.0-1.mga7
+ Revision: 1174053
- imported package python-pyresample

